package com.qiaoba.common.base.code;

import lombok.Getter;

/**
 * 租户错误code
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/12 13:33
 */
@Getter
public enum TenantErrorCode {

    /**
     * 未找到
     */
    NOT_FIND(5010, "未找到租户信息"),

    /**
     * 禁用
     */
    DISABLE(5011, "租户被禁用"),

    /**
     * 过期
     */
    EXPIRE(5012, "租户已过期"),

    /**
     * 租户模式不存在
     */
    MODE_NOT_FIND(50103, "未找到租户模式"),

    /**
     * 已初始化过
     */
    INITIALIZED(50104, "已初始化过"),

    /**
     * 租户名称已存在
     */
    TENANT_NAME_EXIST(50105, "公司名称已存在");

    private final Integer code;
    private final String msg;

    TenantErrorCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
